Subject: converting srfi-18.test to standalone test case for debugging
From: Jack Howarth <[email-masked]>
To: [email-masked]
Date: Tue, 11 Oct 2016 08:55:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Does anyone know how to convert the srfi-18.test test case into a
standalone one that can be debugged in lldb or gdb? On darwin15, I
have confirmed that the thread-local-storage support is causing the
failures of...

 FAIL: srfi-18.test: thread-terminate!: termination destroys non-started thread
 FAIL: srfi-18.test: thread-terminate!: termination destroys started thread

and that passing configure 'ac_cv_have_thread_storage_class=no' to
configure when building guile 2.0.12 suppresses these failures.
   I've opened a radar bug report with Apple, radar:// 2868809 "guile
2.0.12 exposes potential thread-local-storage bug on Mac OS X", but
still need to add a stand-alone test case derived from srfi-18.test
that can be debugged in lldb.
            Jack